#! /bin/sh
#
# 01_ksmserver.sh
# Copyright (C) 2018 salt <salt@lap-th-e560-0>
#
# Distributed under terms of the MIT license.
#

main() {
	if ! which ksmserver > /dev/null 2>&1; then
		tsk_log "Could not find ksmserver" 2
		return 50
	fi
	if pgrep -U "$UID" ksmserver > /dev/null 2>&1; then
		tsk_log "ksmserver is already running" 2
		return 51
	fi
	ksmserver -w "/bin/true" --no-lockscreen &
	sleep 1
	export $(dbus-launch)
}

main $@

