#! /bin/sh
if [ -r ~/.Xresources ]; then
	tsk_log "Loading .Xresources"
	xrdb ~/.Xresources
fi
for file in $XDG_CONFIG_HOME/xrdb/*.xresources; do
	if ! [ -r "$file" ]; then
		tsk_log "Could not read file \"$file\"" 1
	else
		tsk_log "Merging in file \"$file\""
		xrdb -merge "$file"
	fi
done

